> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.uniledger.cc/api-reference/eilith-public-rest-api/customers/update-customer/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.uniledger.cc/_mcp/server. # Update a customer PUT https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/customers/{id} Content-Type: application/json Reference: https://docs.uniledger.cc/api-reference/eilith-public-rest-api/customers/update-customer ## Authentication - `Authorization` header (bearer token, required) — API key prefixed with uk_live_ ## Servers - `https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api` (Production, default) - `https://pmjidplmzxohyqsbajvg.supabase.co/functions/v1/platform-api` (Staging) ## Request ### Path parameters - `id` (string, required) ### Body (application/json) This endpoint expects an object. - `customer_code` (string, optional) - `name` (string, optional) - `email` (string, optional) - `phone` (string, optional) - `address_line1` (string, optional) - `address_line2` (string, optional) - `city` (string, optional) - `state` (string, optional) - `postal_code` (string, optional) - `country` (string, optional) - `is_active` (boolean, optional) ## Response ### 200 Customer updated - `data` (Customer, optional) ## Errors ### 404 Not Found Error Not found - `any` ## Types ### Customer - `id` (string, optional) - `tenant_id` (string, optional) - `customer_code` (string, optional) - `name` (string, optional) - `email` (string, optional, nullable) - `phone` (string, optional, nullable) - `address_line1` (string, optional, nullable) - `address_line2` (string, optional, nullable) - `city` (string, optional, nullable) - `state` (string, optional, nullable) - `postal_code` (string, optional, nullable) - `country` (string, optional, nullable) - `is_active` (boolean, optional) - `created_at` (datetime, optional) - `updated_at` (datetime, optional) ## Examples **Request** ```json {} ``` **Response** ```json { "data": { "id": "string", "tenant_id": "string", "customer_code": "string", "name": "string", "email": "string", "phone": "string", "address_line1": "string", "address_line2": "string", "city": "string", "state": "string", "postal_code": "string", "country": "string", "is_active": true, "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z" } } ``` **SDK Code** ```python import requests url = "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/customers/id" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/customers/id'; const options = { method: 'PUT', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/customers/id" payload := strings.NewReader("{}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/customers/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/customers/id") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PUT', 'https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/customers/id', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/customers/id"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/customers/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```